libmowgli2_1.0.0-4_amd64.deb


Advertisement

Description

libmowgli2 - high performance development framework for C

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libmowgli2
Package version 1.0.0
Package release 4
Package architecture amd64
Package type deb
Installed size 142 B
Download size 31.82 KB
Official Mirror ftp.br.debian.org
Mowgli is a development framework for C (like GLib), which provides high
performance and highly flexible algorithms. It can be used as a supplement
to GLib (to add additional functions (dictionaries, hashes), or replace some
of the slow GLib list manipulation functions), or stand alone. It also
provides a powerful hook system and convenient logging for your code, as well
as high performance block allocator.
This package contains the shared library needed to run programs that use the
mowgli library.

Alternatives

Package Version Architecture Repository
libmowgli2_1.0.0-4_i386.deb 1.0.0 i386 Debian Main
libmowgli2 - - -

Requires

Name Value
libc6 >= 2.14
multiarch-support -

Download

Type URL
Binary Package libmowgli2_1.0.0-4_amd64.deb
Source Package libmowgli

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmowgli2 deb package:
    # sudo apt-get install libmowgli2

Files

Path
/usr/include/x86_64-linux-gnu/libmowgli/mowgli_config.h
/usr/lib/x86_64-linux-gnu/libmowgli.so.2
/usr/lib/x86_64-linux-gnu/libmowgli.so.2.0.0
/usr/share/doc/libmowgli2/changelog.Debian.gz
/usr/share/doc/libmowgli2/copyright
/usr/share/lintian/overrides/libmowgli2

Changelog

2014-01-27 - Andrew Shadura <andrewsh@debian.org>
libmowgli (1.0.0-4) unstable; urgency=low
* Update config.sub and config.guess on build (Closes: #727414).
* Build-depend on autotools-dev to have fresh config.* files.
2013-10-23 - Andrew Shadura <andrewsh@debian.org>
libmowgli (1.0.0-3) unstable; urgency=low
* Fix arch-dependent files in -dev package (Closes: #670014).
2013-10-22 - Andrew Shadura <andrewsh@debian.org>
libmowgli (1.0.0-2) unstable; urgency=low
* Update Standards-Version to 3.9.4 (no changes).
* Fix FTBFS with latest debhelper (Closes: #724183).
* Fix arch-dependent files in -dev package (Closes: #670014).
2012-04-02 - Andrew O. Shadura <bugzilla@tut.by>
libmowgli (1.0.0-1) unstable; urgency=low
* New maintainer
* New upstream release (Closes: #647748, #559181, #590064)
* Switch to 3.0 (quilt) format, drop README.source
* Bump Standards-Version to 3.9.3
* Don't compress examples source code
* Use dpkg-buildflags
* Update Homepage field
* Update copyright file
* Update package descriptions
* Update symbols file
* Update watch file
* Run autoreconf during build, stop using autotools-dev
* Use debian/clean to clean up after build
* Remove duplicate Section fields in debian/control
* Update Vcs-* fields
* Add lintian override for exception handling code calling exit(3)
* Don't try to install make dependency bits along with examples
* Add multiarch support:
- raise debhelper compatibility level to 9
- raise debhelper build-dependency to 9
- add Pre-Depends to the binary package
- change install files to use multiarch paths
- use Multi-Arch: same for binary packages
- strip multiarch paths from buildsys.mk installed
along with examples
2011-02-22 - Patrick Schoenfeld <schoenfeld@debian.org>
libmowgli (0.7.1-1) unstable; urgency=low
* New upstream version
* Update patch 001-Disable_Makefile_silent_output.diff
Update 001-Disable_Makefile_silent_output.diff for
current makefile
* Remove 'a' from package description
(Closes: #500944)
2011-02-22 - Patrick Schoenfeld <schoenfeld@debian.org>
libmowgli (0.7.0-3) unstable; urgency=low
* Upload to sid (Closes: #559181, #590064)
* Update watch file
* Update the Vcs-uris to reflection the migration git
* Switch to debhelper 7
* Switch to quilt as patch management system
* Update Standards-Version, changes needed:
+ Update section of libmowgli2-dbg to 'debug'
* Add missing misc:Depends in libmowgli-dev and libmowgli2-dbg control
information
* Remove Adam Cécile from uploaders
* Fix watch file (again)
(Closes: #486575)
2008-09-17 - Patrick Schoenfeld <schoenfeld@debian.org>
libmowgli (0.7.0-2) experimental; urgency=low
* Upload to experimental because lenny is frozen
* Replace (C) with © because of its legal entitlement (in debian/copyright)
2008-09-17 - Patrick Schoenfeld <schoenfeld@debian.org>
libmowgli (0.7.0-1) experimental; urgency=low
* Upload to experimental because lenny is frozen
* New upstream version
* Updated maintainer email address
* Adapt the packagename, because of the bumped SONAME
* Remove 003-dont-call-exit-where-its-not-appropriate.dpatch because
changes were applied upstream
* Fix watch file, broken due to change in upstream site. Thanks to Tim Retout
for the bug report and the patch.
(Closes: #486575)
* Fixed a spelling error in the long description of libmowgli2
(application -> applications)
* Remove introduction texts from descriptions that are not aimed at
developers, because its not interesting for endusers
* Fix indentation in debian/copyright
* Update upstream homepage in debian/control and debian/changelog
* Updated copyright file
* Add debian/README.source to document patch handling for compliance
with updated policy
* Bump Standards-version to 3.8.0

See Also

Package Description
libmozilla-ldap-perl_1.5.3-2+b1_amd64.deb LDAP Perl module for the OpenLDAP C SDK
libmozjs-24-0_24.2.0-2_amd64.deb Spidermonkey JavaScript engine
libmozjs-24-bin_24.2.0-2_amd64.deb Spidermonkey JavaScript shell
libmozjs-24-dev_24.2.0-2_amd64.deb Spidermonkey JavaScript library - development headers
libmozjs185-1.0_1.8.5-1.0.0+dfsg-4.3_amd64.deb Spidermonkey javascript engine
libmozjs185-dev_1.8.5-1.0.0+dfsg-4.3_amd64.deb Spidermonkey javascript library - development headers
libmp3-info-perl_1.24-1_all.deb Perl MP3::Info - Manipulate / fetch info from MP3 audio files
libmp3-tag-perl_1.13-1_all.deb Module for reading tags of MP3 audio files
libmp3lame-dev_3.99.5+repack1-7+deb8u1_amd64.deb MP3 encoding library (development)
libmp3lame-ocaml-dev_0.3.2-1+b1_amd64.deb OCaml interface to the lame library -- developpement files
libmp3lame-ocaml_0.3.2-1+b1_amd64.deb OCaml interface to the lame library -- runtime files
libmp3lame0_3.99.5+repack1-7+deb8u1_amd64.deb MP3 encoding library
libmp3spi-java_1.9.5-1_all.deb interface to support MP3 (MPEG 1/2/2.5 Layer 1/2/3) audio format
libmp3splt-dev_0.7.2-2.1_amd64.deb development files for libmp3splt0
libmp3splt0-mp3_0.7.2-2.1_amd64.deb MP3 plugin for mp3splt
Advertisement
Advertisement